/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {FloorPlanFieldResponse} from "./floorPlanFieldResponse";
import {ZoneResponse} from "src/classLibrary/APIModels/core/zoneResponse";

export class FloorPlanPrincipalResponse {
    public name: string;

    public id: string;

    public image: string;

    public zoneData: { [s: string]: ZoneResponse };

    public height: number;

    public timeStamp: Date;

    public width: number;

    public fields: FloorPlanFieldResponse;

    /**
     * Creates a FloorPlanPrincipalResponse.
     *
     * @param {string} name
     * @param {string} id
     * @param {string} image
     * @param {object} zoneData
     * @param {number} height
     * @param {number} width
     * @param {FloorPlanFieldResponse} fields
     * @param {Date} timeStamp
     */
    constructor(name: string, id: string, image: string, zoneData: { [s: string]: ZoneResponse }, height: number, width: number, fields: FloorPlanFieldResponse, timeStamp: Date) {
        this.name = name;
        this.id = id;
        this.image = image;
        this.zoneData = zoneData;
        this.height = height;
        this.width = width;
        this.fields = fields;
        this.timeStamp = timeStamp;
    }
}
